% CSCH CSCH Hyperbolic Cosecant Function
% 
% Usage
% 
% Computes the hyperbolic cosecant of the argument.
% The syntax for its use is
% 
%    y = csch(x)
% 

% Copyright (c) 2002-2007 Samit Basu
% Licensed under the GPL

function y = csch(x)
  if (nargin == 0 || ~isnumeric(x))
    error('csch expects a numeric input');
  end
  y = 1.0f./sinh(x);
  
